Resource

Team Permission

Permissions for your team

The Team Permission Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    team
    Type
    Team
    Description

    Team this permission belongs in.

  • Name
    teamId
    Type
    Object ID
    Description

    ID of Team this permission belongs in.

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    permission
    Type
    PermissionRequired
    Description

    Permission. You can find list of permissions on the Permissions page.

  • Name
    labels
    Type
    Label
    Description

    Relation to Labels Array where this permission is scoped at.

  • Name
    isBlockPermission
    Type
    Boolean
    Description

GETorPOST/api/team-permission/get-list

List

This endpoint allows you to retrieve a paginated list of all your Team Permission. By default, a maximum of ten Team Permission are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/team-permission/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "permission": true,
    "projectId": true,
    "createdByUser": true,
    "createdByUserId": true,
    "isBlockPermission": true
  },
  "query": {},
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "377ed820-28fe-11f1-b591-3fdcef396aba",
      "permission": "ProjectOwner",
      "projectId": "a3f9c8e2-d4b6-4a7c-9e5f-1a2b3c4d5e6f",
      "createdByUser": "admin@company.com",
      "createdByUserId": "c8f5e0a2-d4b7-4a8d-9e3f-2a3b4c5d6e7f",
      "isBlockPermission": false
    },
    {
      "_id": "377ed821-28fe-11f1-b591-3fdcef396aba",
      "permission": "ProjectOwner",
      "projectId": "a3f9c8e2-d4b6-4a7c-9e5f-1a2b3c4d5e6f",
      "createdByUser": "admin@company.com",
      "createdByUserId": "c8f5e0a2-d4b7-4a8d-9e3f-2a3b4c5d6e7f",
      "isBlockPermission": false
    },
    {
      "_id": "377ed822-28fe-11f1-b591-3fdcef396aba",
      "permission": "ProjectOwner",
      "projectId": "a3f9c8e2-d4b6-4a7c-9e5f-1a2b3c4d5e6f",
      "createdByUser": "admin@company.com",
      "createdByUserId": "c8f5e0a2-d4b7-4a8d-9e3f-2a3b4c5d6e7f",
      "isBlockPermission": false
    }
  ]
}
GETorPOST/api/team-permission/:id/get-item

Get item by ID

This endpoint allows you to retrieve Team Permission by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/team-permission/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "permission": true,
    "projectId": true,
    "createdByUser": true,
    "createdByUserId": true,
    "isBlockPermission": true
  }
}

Response

{
  "_id": "377ed820-28fe-11f1-b591-3fdcef396aba",
  "permission": "ProjectOwner",
  "projectId": "a3f9c8e2-d4b6-4a7c-9e5f-1a2b3c4d5e6f",
  "createdByUser": "admin@company.com",
  "createdByUserId": "c8f5e0a2-d4b7-4a8d-9e3f-2a3b4c5d6e7f",
  "isBlockPermission": false
}
POST/api/team-permission/count

Count

This endpoint allows you to retrieve the count of all your Team Permission.

Optional Request Body

Count Request

POST
/api/team-permission/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {}
}

Response

{
  "count": 107
}
POST/api/team-permission

Create Team Permission

This endpoint allows you to create a new object.

Create Request

POST
/api/team-permission
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "permission": "ProjectOwner",
    "projectId": "a3f9c8e2-d4b6-4a7c-9e5f-1a2b3c4d5e6f",
    "createdByUser": "admin@company.com",
    "createdByUserId": "c8f5e0a2-d4b7-4a8d-9e3f-2a3b4c5d6e7f",
    "isBlockPermission": false
  }
}

Response

{
  "_id": "377ed820-28fe-11f1-b591-3fdcef396aba",
  "permission": "ProjectOwner",
  "projectId": "a3f9c8e2-d4b6-4a7c-9e5f-1a2b3c4d5e6f",
  "createdByUser": "admin@company.com",
  "createdByUserId": "c8f5e0a2-d4b7-4a8d-9e3f-2a3b4c5d6e7f",
  "isBlockPermission": false
}
PUT/api/team-permission/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/team-permission/:id/update-item
GET/api/team-permission/:id/update-item

Update Request

PUT
/api/team-permission/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "permission": "ProjectOwner",
    "isBlockPermission": false,
    "labels": [
      {
        "name": "Production"
      },
      {
        "name": "Critical"
      }
    ]
  }
}

Response

{}
DELETE/api/team-permission/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/team-permission/:id/delete-item
GET/api/team-permission/:id/delete-item

Delete Request

DELETE
/api/team-permission/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Team Permission

  • Project Owner
  • Project Admin
  • Project Member
  • Read Teams
  • Read All Project Resources

Create Permissions

Required to create Team Permission

  • Project Owner
  • Project Admin
  • Create Team
  • Edit Team Permissions

Update Permissions

Required to update Team Permission

  • Project Owner
  • Project Admin
  • Invite New Members
  • Edit Team Permissions
  • Edit Team

Delete Permissions

Required to delete Team Permission

  • Project Owner
  • Project Admin
  • Delete Team
  • Edit Team Permissions